Subject: Re: [PATCH v3 3/3] iommu/arm-smmu-v3: Issue CFGI/TLBI twice on Tegra264

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 2 Jun 2026 21:59:13 -0300

On Tue, Jun 02, 2026 at 09:22:15PM +0100, Will Deacon wrote:
> be inspecting the command array in that case. Generally, it's a pity
> that we can't handle this all a bit further up in the stack when we know
> exactly what operationg we're trying to perform, but I suppose with all
> the different users of the invalidation commands that's hard to catch in
> one place?

There was an earlier version trying to do this and it was pretty ugly,
there are alot of places because this errata touches the CD/STE
invalidation flows too.

If it was just invalidation it could have been solved by manipulating
the invs list and be almost free on the fast path..

Jason